> ## Documentation Index
> Fetch the complete documentation index at: https://docs.tight.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get revenues

> Get all active revenues for the current year, for the authenticated user



## OpenAPI

````yaml https://dev.hurdlr.com/rest/v1/devUtils/documentation?version=4&Authorization=dexfeE6aRK3zwXP4ku5aWm8w&env=sandbox get /v4/revenue/revenues
openapi: 3.0.1
info:
  title: Tight API
  contact:
    name: Hurdlr, Inc. (dba Tight)
    url: https://www.tight.com
    email: api@tight.com
  version: 6.0.0
servers:
  - url: https://sandbox.hurdlr.com/rest
    description: Staging Environment
  - url: https://prod.hurdlr.com/rest
    description: Production Environment
security:
  - accessTokenSecurity: []
  - basicSecurity: []
tags:
  - name: Authentication
  - name: Banks
  - name: Expenses
  - name: Revenue
  - name: Business & Client Management
  - name: Invoicing
  - name: Reports
  - name: Taxes
  - name: Accounting
  - name: Investment Incomes
paths:
  /v4/revenue/revenues:
    get:
      tags:
        - Revenue
      summary: Get revenues
      description: Get all active revenues for the current year, for the authenticated user
      operationId: getRevenuesV4
      parameters:
        - name: lastUpdatedDate
          in: query
          description: >-
            Date filter (YYYY-MM-DD) - returns all records updated after the
            specified date. Null returns all data
          schema:
            type: string
          example: '2021-05-05'
        - name: year
          in: query
          description: >-
            Year filter (YYYY) - returns all records for the specified year.
            Null will use the current year
          schema:
            type: integer
            format: int32
          example: 2020
      responses:
        '200':
          description: Successful operation
          content:
            application/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/RevenueEntryDTOV4'
      security:
        - accessTokenSecurity: []
components:
  schemas:
    RevenueEntryDTOV4:
      required:
        - amount
        - businessId
        - status
        - type
      type: object
      properties:
        id:
          type: integer
          description: Id of the RevenueEntry, required when updating existing RevenueEntry
          format: int64
        type:
          type: string
          description: Type of the RevenueEntry
          example: BUSINESS
          enum:
            - BUSINESS
            - NOT_BUSINESS
            - BUSINESS
            - NOT_BUSINESS
        date:
          type: string
          description: Date of the RevenueEntry
          format: date
          example: '2021-01-04'
        amount:
          type: number
          description: Amount of the RevenueEntry
          example: 50.01
        businessId:
          type: integer
          description: Id of business assigned to this RevenueEntry
          format: int64
        businessName:
          type: string
          description: Name of this business assigned to this RevenueEntry
        clientId:
          type: integer
          description: Id of client assigned to this RevenueEntry
          format: int64
        plaidInstitutionId:
          type: string
          description: The id of the institution that the transaction originated from
        plaidDisplayName:
          type: string
          description: >-
            Plaid's display name for the vendor associated with this
            RevenueEntry
        plaidAccountNo:
          type: string
          description: The mask of the user's bank account
        plaidItemAccountId:
          type: integer
          description: Id of the bank account that this transaction originated from
          format: int64
        plaidDescription:
          type: string
          description: Plaid's description for this RevenueEntry
        apiName:
          type: string
          description: Name of the API that this transaction originated from
          enum:
            - GOOGLELOGIN
            - LINKEDINLOGIN
            - DROPBOX
            - BOX
            - SKYDRIVE
            - CLOVER
            - STRIPE
            - GOOGLESTORAGE
            - GOOGLECONTACTS
            - GOOGLEEMAIL
            - LINKEDINCONTACTS
            - PLAID
            - KNOX
            - UBER
            - FACEBOOKLOGIN
            - FRESHBOOKS
            - HARVEST
            - KW
            - FRESHBOOKS2
            - CAPITAL_ONE
            - SQUARE
            - S3
            - DOTLOOP
            - XERO_DEPRECATED
            - REALOGY
            - UPWORK
            - SHOPIFY
            - DEDUCTR
            - ENTERPRISE
            - MOXIWORKS
            - STRIPE_EXPRESS
            - APPLELOGIN
            - APPDIRECT
            - LONEWOLF
            - USER_IMPORTED
            - LONEWOLF_TRANSACTIONDESK
            - SAMPLE_BANK
            - TAXBOT
            - THIRD_PARTY_BANK
            - GUSTO
            - THIRD_PARTY_PAYMENTS
            - XERO
            - UNIT
            - USER_ENTRY
            - MOOV
            - QBO
            - COLUMN
            - QUALPAY
            - BENCH
            - PARTNER_IMPLEMENTATION
            - CHECK
            - RUTTER
            - WAVE
            - ADYEN
            - APRIL
            - PAYABLI
        apiPaymentId:
          type: string
          description: Id of the payment record on associated API
        status:
          type: string
          description: Status of the RevenueEntry
          example: ACTIVE
          enum:
            - ACTIVE
            - DELETED
            - INVOICE_PAYMENT
            - BANK_RECONCILED
            - REMOVED
            - ACTIVE
            - DELETED
            - INVOICE_PAYMENT
            - BANK_RECONCILED
            - REMOVED
        invoiceId:
          type: integer
          description: Invoice id associated with this RevenueEntry
          format: int64
        pendingRevenueId:
          type: integer
          description: Id of the associated PendingRevenue
          format: int64
        state:
          type: string
          description: State value for RevenueEntry sales tax amount
          example: DC
          enum:
            - UNKNOWN
            - AL
            - AK
            - AS
            - AZ
            - AR
            - CA
            - CO
            - CT
            - DE
            - DC
            - FM
            - FL
            - GA
            - GU
            - HI
            - ID
            - IL
            - IN
            - IA
            - KS
            - KY
            - LA
            - ME
            - MD
            - MH
            - MA
            - MI
            - MN
            - MS
            - MO
            - MT
            - NE
            - NV
            - NH
            - NJ
            - NM
            - NY
            - NC
            - ND
            - MP
            - OH
            - OK
            - OR
            - PW
            - PA
            - PR
            - RI
            - SC
            - SD
            - TN
            - TX
            - UT
            - VT
            - VI
            - VA
            - WA
            - WV
            - WI
            - WY
            - AB
            - BC
            - MB
            - NB
            - NL
            - NT
            - NS
            - NU
            - 'ON'
            - PE
            - QC
            - SK
            - YT
        currencyType:
          type: string
          description: 'Type of currency on this RevenueEntry '
          enum:
            - USD
            - CAD
            - EUR
            - GBP
            - JPY
            - AED
            - AFN
            - ALL
            - AMD
            - ANG
            - AOA
            - ARS
            - AUD
            - AWG
            - AZN
            - BAM
            - BBD
            - BDT
            - BGN
            - BHD
            - BIF
            - BMD
            - BND
            - BOB
            - BOV
            - BRL
            - BSD
            - BTN
            - BWP
            - BYN
            - BZD
            - CDF
            - CHE
            - CHF
            - CHW
            - CLF
            - CLP
            - CNY
            - COP
            - COU
            - CRC
            - CUC
            - CUP
            - CVE
            - CZK
            - DJF
            - DKK
            - DOP
            - DZD
            - EGP
            - ERN
            - ETB
            - FJD
            - FKP
            - GEL
            - GHS
            - GIP
            - GMD
            - GNF
            - GTQ
            - GYD
            - HKD
            - HNL
            - HRK
            - HTG
            - HUF
            - IDR
            - ILS
            - INR
            - IQD
            - IRR
            - ISK
            - JMD
            - JOD
            - KES
            - KGS
            - KHR
            - KMF
            - KPW
            - KRW
            - KWD
            - KYD
            - KZT
            - LAK
            - LBP
            - LKR
            - LRD
            - LSL
            - LYD
            - MAD
            - MDL
            - MGA
            - MKD
            - MMK
            - MNT
            - MOP
            - MRU
            - MUR
            - MVR
            - MWK
            - MXN
            - MXV
            - MYR
            - MZN
            - NAD
            - NGN
            - NIO
            - NOK
            - NPR
            - NZD
            - OMR
            - PAB
            - PEN
            - PGK
            - PHP
            - PKR
            - PLN
            - PYG
            - QAR
            - RON
            - RSD
            - RUB
            - RWF
            - SAR
            - SBD
            - SCR
            - SDG
            - SEK
            - SGD
            - SHP
            - SLL
            - SOS
            - SRD
            - SSP
            - STN
            - SVC
            - SYP
            - SZL
            - THB
            - TJS
            - TMT
            - TND
            - TOP
            - TRY
            - TTD
            - TWD
            - TZS
            - UAH
            - UGX
            - USN
            - UYI
            - UYU
            - UYW
            - UZS
            - VED
            - VES
            - VND
            - VUV
            - WST
            - XAF
            - XAG
            - XAU
            - XBA
            - XBB
            - XBC
            - XBD
            - XCD
            - XDR
            - XOF
            - XPD
            - XPF
            - XPT
            - XSU
            - XTS
            - XUA
            - XXX
            - YER
            - ZAR
            - ZMW
            - ZWL
        salesTaxAmount:
          type: number
          description: Sales Tax Amount for the RevenueEntry
          example: 1.01
        description:
          type: string
          description: Description of RevenueEntry
          example: Gas purchase
        lastUpdatedDate:
          type: string
          description: lastUpdateDate of the RevenueEntry
          format: date
          example: '2021-01-04'
        business:
          $ref: '#/components/schemas/Business'
      description: Revenue Object
    Business:
      type: object
      properties:
        id:
          type: string
        companyId:
          type: string
        companyIdLong:
          type: integer
          format: int64
        customerPartnerId:
          type: integer
          format: int64
        name:
          type: string
        showName:
          type: boolean
        contactFirst:
          type: string
        contactLast:
          type: string
        showContactFirstLast:
          type: boolean
        email:
          type: string
        showEmail:
          type: boolean
        phoneWork:
          type: string
        showPhoneWork:
          type: boolean
        address1:
          type: string
        address2:
          type: string
        city:
          type: string
        state:
          type: string
        zip:
          type: string
        showAddress:
          type: boolean
        tin:
          type: string
        invoicePrefix:
          type: string
        plaidApiEntityIds:
          type: string
        status:
          type: string
          enum:
            - ACTIVE
            - INACTIVE
            - PENDING
            - DELETED
        apiName:
          type: string
          enum:
            - GOOGLELOGIN
            - LINKEDINLOGIN
            - DROPBOX
            - BOX
            - SKYDRIVE
            - CLOVER
            - STRIPE
            - GOOGLESTORAGE
            - GOOGLECONTACTS
            - GOOGLEEMAIL
            - LINKEDINCONTACTS
            - PLAID
            - KNOX
            - UBER
            - FACEBOOKLOGIN
            - FRESHBOOKS
            - HARVEST
            - KW
            - FRESHBOOKS2
            - CAPITAL_ONE
            - SQUARE
            - S3
            - DOTLOOP
            - XERO_DEPRECATED
            - REALOGY
            - UPWORK
            - SHOPIFY
            - DEDUCTR
            - ENTERPRISE
            - MOXIWORKS
            - STRIPE_EXPRESS
            - APPLELOGIN
            - APPDIRECT
            - LONEWOLF
            - USER_IMPORTED
            - LONEWOLF_TRANSACTIONDESK
            - SAMPLE_BANK
            - TAXBOT
            - THIRD_PARTY_BANK
            - GUSTO
            - THIRD_PARTY_PAYMENTS
            - XERO
            - UNIT
            - USER_ENTRY
            - MOOV
            - QBO
            - COLUMN
            - QUALPAY
            - BENCH
            - PARTNER_IMPLEMENTATION
            - CHECK
            - RUTTER
            - WAVE
            - ADYEN
            - APRIL
            - PAYABLI
        apiClientId:
          type: string
        bizType:
          type: string
          enum:
            - ADVISOR_COACH
            - ARCHITECT
            - BRANDING_DESIGN
            - CONSULTANT
            - GOVT_CONTRACTOR
            - HOTEL_HOSPITALITY
            - PHOTOGRAPHY
            - PRINTING_DESIGN
            - PROFESSIONAL_SERVICES
            - LANDLORD
            - REAL_ESTATE_AGENT
            - RESTAURANT
            - SOFTWARE_DEV
            - SPEAKER_AUTHOR
            - TECH_SUPPORT
            - WEB_DESIGN_DEV
            - HEALTH_PROFESSIONAL
            - OTHER
            - DRIVER
            - AIRBNB
            - FINANCIAL_ADVISOR
            - INSURANCE_AGENT
            - MARKETER
            - RETAIL
            - HOST
            - FREELANCER
            - E_COMMERCE
            - SALES
        dimensionId:
          type: integer
          format: int64
        level0Id:
          type: integer
          format: int64
        createdDate:
          type: string
          format: date-time
        idPrefix:
          type: string
          enum:
            - COMPANY
            - EMPLOYEE
            - DIMENSION_VALUE
            - CLASS_LABEL
            - CUSTOMER
            - BANK_ACCOUNT
            - GL_ACCOUNT
            - TRANSACTION_CATEGORY
            - BANK_TRANSACTION
            - PROCESSOR_TRANSACTION
            - TRANSACTION_LINE_ITEM
            - VENDOR
            - TRANSACTION_RULE
            - REVENUE_RULE
            - INVOICE
            - INVOICE_LINE_ITEM
            - BILL
            - BILL_LINE_ITEM
            - PAYROLL
            - PAYROLL_LINE_ITEM
            - FINANCIAL_SUMMARY
            - TASK
            - CONVERSATION
            - MESSAGE
            - REACTION
            - BUSINESS_TYPE
            - TEMPLATE_DIMENSION
            - TEMPLATE_COA
            - TEMPLATE_GL_ACCOUNT
            - TEMPLATE_TRANSACTION_RULES
            - MANUAL_JOURNAL_ENTRY
            - GL_TRANSACTION
            - ATTACHMENT
            - CAR
            - MILEAGE
            - INTEGRATION
            - TIME
            - TIME_TYPE
            - TAX_RETURN
        nameColumnNameForPagination:
          type: string
        externalId:
          type: string
  securitySchemes:
    accessTokenSecurity:
      type: oauth2
      flows:
        implicit:
          authorizationUrl: /auth/account
          scopes:
            write: ''

````